NLSstRtAsymptote            package:stats            R Documentation

Horizontal Asymptote on the Right Side

Description:

     Provide an initial guess at the horizontal asymptote on the right
     side (i.e., large values of 'x') of the graph of 'y' versus 'x'
     from the 'xy' object.  Primarily used within 'initial' functions
     for self-starting nonlinear regression models.

Usage:

     NLSstRtAsymptote(xy)

Arguments:

      xy: a 'sortedXyData' object

Value:

     A single numeric value estimating the horizontal asymptote for
     large 'x'.

Author(s):

     Jose Pinheiro and Douglas Bates

See Also:

     'sortedXyData', 'NLSstClosestX', 'NLSstRtAsymptote', 'selfStart'

Examples:

     data( DNase )
     DNase.2 <- DNase[ DNase$Run == "2", ]
     DN.srt <- sortedXyData( expression(log(conc)), expression(density), DNase.2 )
     NLSstRtAsymptote( DN.srt )

